/* styles.css */

@font-face {
  font-family: "Lato";
  font-style: normal;
  font-weight: 300;
  src:
    url("/assets/fonts/Lato-Light.ttf") format("truetype"),
    local("Lato Light");
  font-display: swap;
}
@font-face {
  font-family: "Lato";
  font-style: normal;
  font-weight: 400;
  src:
    url("/assets/fonts/Lato-Regular.ttf") format("truetype"),
    local("Lato Regular"),
    local("Lato");
  font-display: swap;
}
@font-face {
  font-family: "Lato";
  font-style: normal;
  font-weight: 700;
  src:
    url("/assets/fonts/Lato-Bold.ttf") format("truetype"),
    local("Lato Bold");
  font-display: swap;
}
@font-face {
  font-family: "Lato";
  font-style: normal;
  font-weight: 900;
  src:
    url("/assets/fonts/Lato-Black.ttf") format("truetype"),
    local("Lato Black");
  font-display: swap;
}

/* Strict global rules for sharp UX */
body {
  font-family: "Lato", sans-serif;
}
.sharp-edges {
  border-radius: 0 !important;
  box-shadow: none !important;
}

/* Floating Scrollbar with no track background */
html {
  scrollbar-width: thin;
  scrollbar-color: rgba(3, 61, 147, 0.5) transparent;
}
::-webkit-scrollbar {
  width: 6px;
}
::-webkit-scrollbar-track {
  background: transparent;
}
::-webkit-scrollbar-thumb {
  background: rgba(3, 61, 147, 0.3);
  border-radius: 10px;
}
::-webkit-scrollbar-thumb:hover {
  background: rgba(3, 61, 147, 0.8);
}